Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs
Class ResolutionInput

    java.lang.Object
      info.webinsel.util.swing.DecimalInput
          info.bioinfweb.treegraph.gui.dialogs.DecimalUnitInput
              info.bioinfweb.treegraph.gui.dialogs.ResolutionInput

    public class ResolutionInput

extends DecimalUnitInput

Field Summary
`static float` | `MM_PER_INCH`
`static java.lang.String` | `UNIT_PPI`
`static java.lang.String` | `UNIT_PPMM`

Fields inherited from class info.webinsel.util.swing.DecimalInput
`DOUBLE_FORMAT, FLOAT_FORMAT, INTEGER_FORMAT`

Constructor Summary
`ResolutionInput(java.lang.String labelText, javax.swing.JPanel panel, int y)`

Method Summary
`protected void` | `customizeComboBox(javax.swing.JComboBox comboBox)`
`float` | `getPixelsPerMillimeter()`
`float` | `millimetersToPixels(float mm)`
`float` | `pixelsToMillimeters(float px)`
`static float` | `ppiToPPMM(float ppi)`
`static float` | `ppmmToPPI(float ppmm)`
`void` | `setResolution(float value)`

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.DecimalUnitInput
`getComboBox, setEnabled`

Methods inherited from class info.webinsel.util.swing.DecimalInput
`createLabelTable, getChangeMonitor, getDecimalFormat, getLabel, getTextField, parseDouble, parseFloat, parseInt, parseLong, setDecimalFormatStr, setValue, setValue, setValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNIT_PPI

    public static final java.lang.String UNIT_PPI

See Also:
  Constant Field Values

### UNIT_PPMM

    public static final java.lang.String UNIT_PPMM

See Also:
  Constant Field Values

### MM_PER_INCH

    public static final float MM_PER_INCH

See Also:
  Constant Field Values

Constructor Detail

### ResolutionInput

    public ResolutionInput(java.lang.String labelText,
                           javax.swing.JPanel panel,
                           int y)

Method Detail

### getPixelsPerMillimeter

    public float getPixelsPerMillimeter()

### setResolution

    public void setResolution(float value)

### customizeComboBox

    protected void customizeComboBox(javax.swing.JComboBox comboBox)

  Specified by:
    `customizeComboBox` in class `DecimalUnitInput`

### ppiToPPMM

    public static float ppiToPPMM(float ppi)

### ppmmToPPI

    public static float ppmmToPPI(float ppmm)

### millimetersToPixels

    public float millimetersToPixels(float mm)

### pixelsToMillimeters

    public float pixelsToMillimeters(float px)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD